> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Mark Channel as Read > ### Changelog | Version | Description | | ---------------- | ------------| |3.11.0 | `roomId` can be used as argument instead of `rid`. | |0.61.0 | Added | ## OpenAPI ````json POST /api/v1/subscriptions.read { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/subscriptions.read": { "parameters": [], "post": { "summary": "Mark Channel as Read", "operationId": "post-api-v1-subscriptions.read", "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Invalid Parameter": { "value": { "success": false, "error": "must have required property 'rid'\n must have required property 'roomId'\n must match a schema in anyOf [invalid-params]", "errorType": "invalid-params" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "anyOf": [ { "type": "object", "required": [ "roomId" ], "properties": { "roomId": { "type": "string", "description": "The room ID.", "example": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y" }, "readThreads": { "type": "boolean" } } }, { "type": "object", "required": [ "rid" ], "properties": { "rid": { "type": "string", "description": "The room ID.", "example": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y" }, "readThreads": { "type": "boolean" } } } ] }, "examples": { "RoomId": { "value": { "roomId": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y" } }, "Rid": { "value": { "rid": "L6su9mxwdDkvdSaT9hvzu8z6mHFigiXy6Y" } } } } } }, "description": "### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|3.11.0 | `roomId` can be used as argument instead of `rid`. |\n|0.61.0 | Added |", "tags": [ "Subscriptions" ] } } }, "components": { "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } }, "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````